%define evo %(rpm -q evolution-devel --queryformat %%{VERSION})
%define fname epienbroek-mail-notification-b4ca832
%define gitrev b4ca832bf6

Version:	5.4
Summary:	New mail status tray icon
Name:		mail-notification
Release:	%mkrel 26.%{gitrev}
License:	GPLv3+ and GFDL+
Group:		Networking/Mail
# wget https://github.com/epienbroek/mail-notification/tarball/master
Source:		mail-notification-b4ca832bf6.tar.gz
URL:		https://github.com/epienbroek/mail-notification
BuildRequires:	libsasl-devel
BuildRequires:	openssl-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gconf-2.0) >= 2.4.0
BuildRequires: pkgconfig(glib-2.0) >= 2.14
BuildRequires: pkgconfig(gnome-vfs-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libgnome-2.0) >= 2.14.0
BuildRequires: pkgconfig(libnotify) >= 0.4.1
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires:	libgmime-devel
BuildRequires:	evolution-devel
BuildRequires:	evolution-data-server-devel >= 2.23
BuildRequires:	gob2
BuildRequires:	scrollkeeper
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
#gw aclocal called:
BuildRequires:	intltool
Suggests:	fetchyahoo

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group:		Networking/Mail
Summary:	New mail status tray icon for Evolution
Requires:	%name = %version
Requires:	evolution >= %evo

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep
%setup -q -n %fname

%build
#gw link error in evolution plugin
%define _disable_ld_no_undefined 1
./jb configure \
	prefix=%_prefix \
	libdir=%{_libdir} \
	sysconfdir=%_sysconfdir \
	sysconfdir=%{_sysconfdir} \
	localstatedir=%{_localstatedir} \
	gconf-schemas-dir=%_sysconfdir/gconf/schemas \
	cflags="%optflags" \
	ldflags="%ldflags -Wl,--export-dynamic" \
	libs="-lX11" \
	libexecdir=%{_libexecdir} \
	install-gconf-schemas=no \
	destdir=%buildroot
./jb build 

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ./jb install
rm -f %buildroot%_libdir/evolution/*/plugins/*a
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/mail-notification.png %{buildroot}%{_liconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/32x32/apps/mail-notification.png %{buildroot}%{_iconsdir}/%{name}.png
ln -s %_datadir/icons/hicolor/16x16/apps/mail-notification.png %{buildroot}%{_miconsdir}/%{name}.png

%preun
%preun_uninstall_gconf_schemas mail-notification

%files -f %name.lang
%doc README COPYING TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/mail-notification.desktop
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_sysconfdir/gconf/schemas/mail-notification.schemas
%_datadir/icons/hicolor/*/apps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%doc COPYING
%_libdir/evolution/*/plugins/*


%changelog

* Thu Aug 30 2012 fwang <fwang> 5.4-26.b4ca832bf6.mga3
+ Revision: 285834
- add br
- new snapshot to sync with fedora

* Mon Feb 27 2012 fwang <fwang> 5.4-25.mga2
+ Revision: 215603
- sync with fedora patches
- move back to cauldron
- seems dead upstream
- add fedora patch to build with latest evo
- rebuild for new evo

* Sat Dec 24 2011 wally <wally> 5.4-24.mga2
+ Revision: 187310
- rebuild for new evolution

* Sat Nov 26 2011 fwang <fwang> 5.4-23.mga2
+ Revision: 172439
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 5.4-22.mga2
+ Revision: 159523
- rebuild for new evo

* Thu Sep 29 2011 ovitters <ovitters> 5.4-21.mga2
+ Revision: 150095
- package the .ui files instead of .glade
- spec file cleanup

* Tue Aug 30 2011 fwang <fwang> 5.4-20.mga2
+ Revision: 136496
- add more br
- br gtk2 for gtk-builder-convert
- rebuild for new evo
- rebuild for new evo

  + wally <wally>
    - rebuild for new gmime

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server
    - Removed the --sm-disable flag from the autostart file as it isn't
      working anymore (due to the dropped libgnomeui dep). RHBZ #718989
    - Updated the GTK3 patch so that popup windows are themed properly
      and the list of unread mails in popup windows are positioned properly
      Initial patch by Enrico Scholz (RHBZ #702097)

* Sun Jun 26 2011 fwang <fwang> 5.4-16.mga2
+ Revision: 113934
- sync with fedora's gtk3 port

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Thu Mar 10 2011 ennael <ennael> 5.4-15.mga1
+ Revision: 67490
- more cleaning
- clean spec file
- imported package mail-notification

